summaryrefslogtreecommitdiff
path: root/media-libs
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2018-12-30 21:03:29 +0000
committerV3n3RiX <venerix@redcorelinux.org>2018-12-30 21:03:29 +0000
commita7e64dd6334ad21877a8ee3f7d49213e270b1203 (patch)
tree5bd52fd911d07f4ecacf319fbea8d78e0e1e92a5 /media-libs
parentd0defd6d815264c7cb00d0f7d6d709719f86cae6 (diff)
media-libs/mesa : version bump
Diffstat (limited to 'media-libs')
-rw-r--r--media-libs/mesa/Manifest2
-rw-r--r--media-libs/mesa/mesa-18.3.1-r1337.ebuild (renamed from media-libs/mesa/mesa-18.2.3-r1.ebuild)29
2 files changed, 12 insertions, 19 deletions
diff --git a/media-libs/mesa/Manifest b/media-libs/mesa/Manifest
index 8e62a864..4a51ff54 100644
--- a/media-libs/mesa/Manifest
+++ b/media-libs/mesa/Manifest
@@ -1 +1 @@
-DIST mesa-18.2.3.tar.xz 11376632 BLAKE2B b693e42918be9980d86fedf136e872d785b92b49272cbd5374907f7c3bc857ef5991852de5cf7da1b4f16420b0cf9926541219d3b1717b78fe6fc6c3cf2c3788 SHA512 20f512b1f3835b1c78b1f05f2e2125dc3437b61b8857e7ec62e0f9ac3be2ccb5b7ebe7e18f444da1117bc100d75e4b03cd2a0180f0f0b1cf760714b43bc7a664
+DIST mesa-18.3.1.tar.xz 11865960 BLAKE2B 6863a6d3891d1d2916139f71a5beefd7d83c81a0753d2c6885126636647cb5f7332dc308a9927f149951b122770ed07bc96ff5361dd23fbe1e07fb31d9c05147 SHA512 a68d39158cf1e868d70730d0641a0cfe4c6e5b3cd1bc0c47f54022402aca03503933084f6ddc722bf88c9b6d1281ba5c847ec4fed8092a9b33f90527d08e12db
diff --git a/media-libs/mesa/mesa-18.2.3-r1.ebuild b/media-libs/mesa/mesa-18.3.1-r1337.ebuild
index 457b5200..64bb631b 100644
--- a/media-libs/mesa/mesa-18.2.3-r1.ebuild
+++ b/media-libs/mesa/mesa-18.3.1-r1337.ebuild
@@ -3,7 +3,7 @@
EAPI=6
-PYTHON_COMPAT=( python2_7 )
+PYTHON_COMPAT=( python3_4 python3_5 python3_6 python3_7 )
inherit llvm meson multilib-minimal pax-utils python-any-r1
@@ -41,12 +41,12 @@ IUSE="${IUSE_VIDEO_CARDS}
vulkan wayland xa xvmc"
REQUIRED_USE="
- d3d9? ( dri3 )
+ d3d9? ( dri3 || ( video_cards_r300 video_cards_r600 video_cards_radeonsi video_cards_nouveau video_cards_vmware ) )
gles1? ( egl )
gles2? ( egl )
vulkan? ( dri3
- || ( video_cards_i965 video_cards_radeonsi )
- video_cards_radeonsi? ( llvm ) )
+ || ( video_cards_i965 video_cards_radeonsi )
+ video_cards_radeonsi? ( llvm ) )
wayland? ( egl gbm )
video_cards_freedreno? ( gallium )
video_cards_intel? ( classic )
@@ -55,7 +55,7 @@ REQUIRED_USE="
video_cards_imx? ( gallium video_cards_vivante )
video_cards_nouveau? ( || ( classic gallium ) )
video_cards_radeon? ( || ( classic gallium )
- gallium? ( x86? ( llvm ) amd64? ( llvm ) ) )
+ gallium? ( x86? ( llvm ) amd64? ( llvm ) ) )
video_cards_r100? ( classic )
video_cards_r200? ( classic )
video_cards_r300? ( gallium x86? ( llvm ) amd64? ( llvm ) )
@@ -67,7 +67,7 @@ REQUIRED_USE="
video_cards_vmware? ( gallium )
"
-LIBDRM_DEPSTRING=">=x11-libs/libdrm-2.4.93"
+LIBDRM_DEPSTRING=">=x11-libs/libdrm-2.4.96"
RDEPEND="
!app-eselect/eselect-mesa
>=app-eselect/eselect-opengl-1.3.0
@@ -95,7 +95,7 @@ RDEPEND="
)
lm_sensors? ( sys-apps/lm_sensors:=[${MULTILIB_USEDEP}] )
opencl? (
- dev-libs/ocl-icd[khronos-headers]
+ dev-libs/ocl-icd[khronos-headers,${MULTILIB_USEDEP}]
dev-libs/libclc
virtual/libelf:0=[${MULTILIB_USEDEP}]
)
@@ -245,16 +245,6 @@ llvm_check_deps() {
}
pkg_pretend() {
- if use d3d9; then
- if ! use video_cards_r300 &&
- ! use video_cards_r600 &&
- ! use video_cards_radeonsi &&
- ! use video_cards_nouveau &&
- ! use video_cards_vmware; then
- ewarn "Ignoring USE=d3d9 since VIDEO_CARDS does not contain r300, r600, radeonsi, nouveau, or vmware"
- fi
- fi
-
if use opencl; then
if ! use video_cards_r600 &&
! use video_cards_radeonsi; then
@@ -295,7 +285,6 @@ pkg_pretend() {
fi
if ! use gallium; then
- use d3d9 && ewarn "Ignoring USE=d3d9 since USE does not contain gallium"
use lm_sensors && ewarn "Ignoring USE=lm_sensors since USE does not contain gallium"
use llvm && ewarn "Ignoring USE=llvm since USE does not contain gallium"
use opencl && ewarn "Ignoring USE=opencl since USE does not contain gallium"
@@ -311,6 +300,10 @@ pkg_pretend() {
fi
}
+python_check_deps() {
+ has_version ">=dev-python/mako-0.8.0[${PYTHON_USEDEP}]"
+}
+
pkg_setup() {
# warning message for bug 459306
if use llvm && has_version sys-devel/llvm[!debug=]; then